package com.primeton.esb.alarm.cust;

import com.primeton.esb.governor.monitor.init.ESBAlarmInit;
import com.primeton.esb.server.alarm.handler.CustAlarmHandler;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

import java.util.Map;

@Component
public class DemoAlarmHandler implements CustAlarmHandler {

    private static final Logger logger = LoggerFactory.getLogger(DemoAlarmHandler.class);
    @Override
    public void handle(String type, Map<String, String> alarmInfo, String args) {
        logger.info("########");
        logger.info("自定义告警类：{}",getClass().getName());
        logger.info("告警类型：{}",type);
        logger.info("告警参数内容：{}",alarmInfo);
        logger.info("告警内容：{}",args);
        logger.info("########");
    }
}
